function buttonselect23(hObject, eventdata, Empty_Button, Buttons, AxesNMF, AxesAFS, AxesSOL, NMFparameter, utwo, uthr, usmn, usmf, Polysettings)
set(usmn,'Value',0);
set(usmf,'Value',1);
data = get(Empty_Button,'UserData');

data.isnmf = 0;
data.isafs = 0;

if get(utwo,'Value') == 1
    data.s = 2;
elseif get(uthr,'Value') == 1
    data.s = 3;
end

z = getsetvar(NMFparameter(2), data.s, data.s, 1, 0);

set(Polysettings(1),'String','1.0e-12');

plot(AxesNMF,1,0,'w');
plot(AxesAFS,0,0,'w');
plot(AxesSOL,1,0,'w');

if (isfield(data,'ismatrix') == 1) && (data.ismatrix == 1)
    onoffButton(Buttons,3,4:19);
    set(Empty_Button,'UserData',data);
end
